#
# WatTCP SNMP-library, Metaware HighC/Pharlap version.
# Build and install everything.
#

!include common.mak

#
# First build library then build applications
#
all:    snmp_src apps sniffer

snmp_src:
        @echo "Building and installing SNMP library"
        @cd snmp_src
        $(HC_MAKE) -f makefile.hic
        @cd ..

apps:
        @echo "Building applications"
        @cd apps
        $(HC_MAKE) -f makefile.hic
        @cd ..

sniffer:
        @echo "Building SNMP sniffer"
        @cd sniffer
        $(HC_MAKE) -f makefile.hic
        @cd ..

clean:
        @cd apps
        $(HC_MAKE) -f makefile.hic clean
        @cd ..\snmp_src
        $(HC_MAKE) -f makefile.hic clean
        @cd ..\sniffer
        $(HC_MAKE) -f makefile.hic clean
        @cd ..
        @del .\lib\snmp_x.lib

